Package org.eclipse.emf.cdo.common.id

## Interface CDOIDGenerator

-     public interface CDOIDGenerator

  Generates `IDs`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOIDGenerator` | `NULL` | Generates `NULL` values.
    `static CDOIDGenerator` | `UUID` | Generates `UUID` values.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `generateCDOID​(EObject object)` | Generates a `CDOID`.
    `void` | `reset()` | Called at the end of a commit operation to give this ID generator a chance to reset its sequence of IDs.

- - ### Field Detail

    - #### NULL

          static final CDOIDGenerator NULL

      Generates `NULL` values.

    - #### UUID

          static final CDOIDGenerator UUID

      Generates `UUID` values.

  - ### Method Detail

    - #### generateCDOID

          CDOID generateCDOID​(EObject object)

      Generates a `CDOID`.
      Parameters:
        `object` - the object to generate a new CDOID for if available, `null` otherwise.

    - #### reset

          void reset()

      Called at the end of a commit operation to give this ID generator a chance to reset its sequence of IDs.